Bug 497154 (CVE-2006-4192) - CVE-2006-4192 libmodplug: Integer overflow when reading samples of AMF files
Summary: CVE-2006-4192 libmodplug: Integer overflow when reading samples of AMF files
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2006-4192
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://aluigi.altervista.org/adv/mpth...
Whiteboard:
Depends On: 224032 497158 497159 497160 696507
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-22 15:16 UTC by Jan Lieskovsky
Modified: 2021-11-02 18:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-28 17:21:24 UTC


Attachments (Terms of Use)
MODPlug Tracker PoC showing the buffer overflows (146.57 KB, audio/x-mod)
2009-04-23 14:17 UTC, Jan Lieskovsky
no flags Details
Sample Advanced Module Format Music PoC showing the heap-based overflow (5.15 KB, audio/x-amf)
2009-04-23 14:21 UTC, Jan Lieskovsky
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0477 0 normal SHIPPED_LIVE Important: gstreamer-plugins security update 2011-05-02 18:28:05 UTC

Description Jan Lieskovsky 2009-04-22 15:16:37 UTC
An integer overflow flaw, leading to heap-based buffer overflow was found
in the routine reading samples of music files used by the Modplug mod music
file format library (libmodplug). An attacker could create a specially-crafted
Advanced Module Format Music (AMF) file, that could cause an application utilizing the libmodplug library to crash, or, to potentially execute arbitrary
code as the user running the application, when opened by the victim.

Comment 2 Jan Lieskovsky 2009-04-22 15:31:10 UTC
Upstream patch against gstreamer-plugins-bad:

http://cgit.freedesktop.org/gstreamer/gst-plugins-bad/commit/?id=bc2cdd57d549ab3ba59782e9b395d0cd683fd3ac

Comment 3 Jan Lieskovsky 2009-04-22 15:32:42 UTC
This issue affects the versions of the gstreamer-plugins package, as shipped
with Red Hat Enterprise Linux 3 and 4.

This issue does NOT affect the version of the gstreamer-plugins-good package,
as shipped with Red Hat Enteprise Linux 5.

Comment 4 Jan Lieskovsky 2009-04-23 14:17:21 UTC
Created attachment 340941 [details]
MODPlug Tracker PoC showing the buffer overflows

Comment 5 Jan Lieskovsky 2009-04-23 14:21:10 UTC
Created attachment 340942 [details]
Sample Advanced Module Format Music PoC showing the heap-based overflow

Comment 8 Huzaifa S. Sidhpurwala 2011-05-02 06:21:52 UTC
This issue does NOT affect version of libmodplug as shipped with Fedora 13 and Fedora 14.

Comment 9 errata-xmlrpc 2011-05-02 18:28:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0477 https://rhn.redhat.com/errata/RHSA-2011-0477.html


Note You need to log in before you can comment on or make changes to this bug.